package javax.lang.model.type;

import javax.lang.model.UnknownEntityException;

public class UnknownTypeException extends UnknownEntityException
{
    private static final long serialVersionUID = 269L;
    private transient TypeMirror type;
    private transient Object parameter;
    
    public UnknownTypeException(TypeMirror typeMirror, Object parameter) {
        super("Unknown type: " + typeMirror);
        this.type = typeMirror;
        this.parameter = parameter;
    }
    
    public TypeMirror getUnknownType() {
        return this.type;
    }
    
    public Object getArgument() {
        return this.parameter;
    }
}
